#ifndef __FLTK_TOOL_H_
#define __FLTK_TOOL_H_
#include <stdio.h>

#  if USE_POLL
#    include <poll.h>
#  else
#    define POLLIN 1
#    define POLLOUT 4
#    define POLLERR 8
#endif

#ifdef __cplusplus
extern "C" {
#endif

void fltk_add_fd(int n, int events, void (*cb)(int, void*), void* v);
void fltk_remove_fd(int n, int events);

void fltk_add_handler(int (*ha)(int));
void fltk_remove_handler(int (*ha)(int));

void fltk_focus(void *window);
void fltk_unfocus(void *window);

#ifdef __cplusplus
}
#endif

#endif
